// Copyright (C) 2006-2009 Simula Research Laboratory and Johan Hake
// Licensed under the GNU GPL Version 3.0.

#ifndef AREAFUNCTION_IS_INCLUDED
#define AREAFUNCTION_IS_INCLUDED
/**
 * @file areafunction.h
 * @brief An abstract class defining the interface to an AreaFunction
 *
 * @author Johan Hake
 * @date 2007-09-21
 */

namespace tritetmesh{

  class AreaFunction
  {
  public:
    AreaFunction(){}
    virtual ~AreaFunction(){}
    virtual double eval(double x, double y)=0;
  };

}

extern tritetmesh::AreaFunction *global_area_function;

#endif
